import { describe, expect, it } from 'vitest';
import { Import as ImportDll, icons } from '../src/index.js';
import Import from '../src/import.js';

import ckeditor from './../theme/icons/ckeditor.svg';

describe( 'CKEditor5 Import DLL', () => {
	it( 'exports Import', () => {
		expect( ImportDll ).to.equal( Import );
	} );

	describe( 'icons', () => {
		it( 'exports the "ckeditor" icon', () => {
			expect( icons.ckeditor ).to.equal( ckeditor );
		} );
	} );
} );
